Bug 544660 - Review Request: php-channel-swift - Adds swift mailer project channel to PEAR
Summary: Review Request: php-channel-swift - Adds swift mailer project channel to PEAR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 546020
TreeView+ depends on / blocked
 
Reported: 2009-12-05 22:10 UTC by Christof Damian
Modified: 2010-07-08 01:17 UTC (History)
3 users (show)

Fixed In Version: 1.3-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 00:59:55 UTC
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christof Damian 2009-12-05 22:10:57 UTC
Spec URL: http://rpms.damian.net/SPECS/php-channel-swift.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-swift-1.0.0-1.fc12.src.rpm
Description: Adds swift mailer project channel to PEAR

Comment 1 Remi Collet 2010-01-02 07:22:12 UTC
Quick notes before review :
- Requires php-cli is redundant with php-pear
- replace pear.swiftmailer.org.xml by %{name}.xml (cf PHP Guidelines)

I think using REST version provided (here 1.3) as version could be a good idea for this package where version have no really meaning.

Comment 2 Christof Damian 2010-01-02 10:43:16 UTC
(In reply to comment #1)
> Quick notes before review :
> - Requires php-cli is redundant with php-pear
> - replace pear.swiftmailer.org.xml by %{name}.xml (cf PHP Guidelines)
> 
> I think using REST version provided (here 1.3) as version could be a good idea
> for this package where version have no really meaning.  

As with the other channels I got for review I just copied the one from php-channel-doctrine.

Removing php-cli makes sense.

I am not sure about the version number, the channel format is version 1.0 and all other php-channel-* seem to use that at the moment. It might be worth discussing that on the fedora-php list.

Comment 3 Remi Collet 2010-01-02 11:06:20 UTC
Note about version is only a note. There is actually no meaning to this field. I have use REST version for latest phpunit channel update, only because I think it could be usefull ;)

Comment 4 Remi Collet 2010-01-24 07:38:43 UTC
REVIEW
* no source files (channel.xml match latest upstream)
* package meets naming 
:( package must meet packaging guidelines
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license (of the packages provided by the
channel).
* license is open source-compatible (LGPLv3).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide).
* package installs properly
* rpmlint (warnings are ok) :
php-channel-swift.src: I: checking
php-channel-swift.src:22: W: unversioned-explicit-provides php-channel(pear.swiftmailer.org)
php-channel-swift.noarch: I: checking
php-channel-swift.noarch: W: no-documentation
php-channel-swift.spec:22: W: unversioned-explicit-provides php-channel(pear.swiftmailer.org)
2 packages and 1 specfiles checked; 0 errors, 3 warnings.
* final provides are sane:
php-channel(pear.swiftmailer.org)  
php-channel-swift = 1.0.0-1.fc8
:( final requires
/usr/bin/pear  
php-cli  
php-pear(PEAR)  
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 

MUST 
- remove php-cli from Requires (already required by pear)
- rename from pear.swiftmailer.org.xml to %{name}.xml (see Guildelines scriptlet sample, %{name} is the better solution to avoid any conflicts)

Note (and only note) : php-channel-symfony now also use REST version as package version ;)

Comment 5 Christof Damian 2010-01-24 09:13:40 UTC
Spec URL: http://rpms.damian.net/SPECS/php-channel-swift.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-swift-1.3-1.fc12.src.rpm

- removed php-cli requirement, which is covered by php-pear requirement
- changed name of channel xml name
- using rest version as version now

You convinced me on the version. I guess if they ever change the channel version the rest version will change too.

Comment 6 Remi Collet 2010-01-24 10:48:46 UTC
All "must" fixed

***** APPROVED *****

Comment 7 Remi Collet 2010-01-24 10:56:53 UTC
Oups... reply to quickly

You forget to rename the XML in scriptlet.

So channel is not registered after package installation.

Comment 8 Christof Damian 2010-01-24 12:07:37 UTC
I obviously wasn't fully awake yet. I fix the other channels too.

Spec URL: http://rpms.damian.net/SPECS/php-channel-swift.spec
SRPM URL: http://rpms.damian.net/SRPMS/php-channel-swift-1.3-2.fc12.src.rpm

Comment 9 Remi Collet 2010-01-24 12:16:19 UTC
(un)Registration of the channel is now OK.

**** APPROVED ****

Comment 10 Christof Damian 2010-01-24 13:41:15 UTC
New Package CVS Request
=======================
Package Name: php-channel-swift
Short Description: Adds swift mailer project channel to PEAR
Owners: cdamian
Branches: F-11 F-12
InitialCC:

Comment 11 Jason Tibbitts 2010-01-24 17:31:56 UTC
CVS done (by process-cvs-requests.py).

Comment 12 Fedora Update System 2010-01-24 19:32:56 UTC
php-channel-swift-1.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-channel-swift-1.3-2.fc12

Comment 13 Fedora Update System 2010-01-26 00:59:51 UTC
php-channel-swift-1.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Christof Damian 2010-07-05 17:19:07 UTC
Package Change Request
======================
Package Name: php-channel-swift
New Branches: EL-6
Owners: cdamian

Comment 15 Kevin Fenzi 2010-07-08 01:17:03 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.